Bug 600561 - [abrt] crash in virtaal-0.5.2-2.fc13: common.py:268:alter_it:TypeError: unbound method <lambda>() must be called with zh instance as first argument (got int instance instead)
Summary: [abrt] crash in virtaal-0.5.2-2.fc13: common.py:268:alter_it:TypeError: unbou...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: translate-toolkit   
(Show other bugs)
Version: 13
Hardware: i686 Linux
low
medium
Target Milestone: ---
Assignee: Dwayne Bailey
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:e1e6af09
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-05 03:21 UTC by chenhuan.gt
Modified: 2010-06-21 13:03 UTC (History)
3 users (show)

Fixed In Version: translate-toolkit-1.7.0-2.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-21 13:03:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.59 KB, text/plain)
2010-06-05 03:21 UTC, chenhuan.gt
no flags Details

Description chenhuan.gt 2010-06-05 03:21:47 UTC
abrt 1.1.1 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/bin/python /usr/bin/virtaal
comment: open tutorial, click some item
component: virtaal
executable: /usr/bin/virtaal
kernel: 2.6.33.5-112.fc13.i686
package: virtaal-0.5.2-2.fc13
reason: common.py:268:alter_it:TypeError: unbound method <lambda>() must be called with zh instance as first argument (got int instance instead)
release: Fedora release 13 (Goddard)

Comment 1 chenhuan.gt 2010-06-05 03:21:50 UTC
Created attachment 421397 [details]
File: backtrace

Comment 2 Dwayne Bailey 2010-06-07 09:54:30 UTC
This relates to the Translate Toolkit and was fixed in r14600 http://translate.svn.sourceforge.net/viewvc/translate/src/trunk/translate/lang/zh.py?r1=14600&r2=14599&pathrev=14600

I will look at backporting this fix.

Comment 3 Fedora Update System 2010-06-07 10:55:42 UTC
translate-toolkit-1.7.0-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/translate-toolkit-1.7.0-2.fc13

Comment 4 Fedora Update System 2010-06-07 22:12:24 UTC
translate-toolkit-1.7.0-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update translate-toolkit'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/translate-toolkit-1.7.0-2.fc13

Comment 5 Fedora Update System 2010-06-21 13:03:04 UTC
translate-toolkit-1.7.0-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.